package com.tencent.mm.plugin.appbrand.b;

import android.app.Activity;
import android.content.BroadcastReceiver;
import java.lang.ref.WeakReference;

public abstract class e {
    private final WeakReference<Activity> gWO;
    public final BroadcastReceiver receiver = new 1(this);

    public abstract void awC();

    public abstract void awD();

    public e(Activity activity) {
        this.gWO = new WeakReference(activity);
    }
}
